Package: org.gradle.api.artifacts.repositories

## [Java] Interface IvyArtifactRepositoryMetaDataProvider

- The meta-data provider for an Ivy repository. Uses the Ivy module descriptor (`ivy.xml`) to determine the meta-data for module versions and artifacts.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `isDynamicMode()` Returns true if dynamic resolve mode should be used for Ivy modules.
    `void` | `setDynamicMode(boolean mode)` Specifies whether dynamic resolve mode should be used for Ivy modules.

- - ### Method Detail

    - #### public boolean isDynamicMode()

      Returns true if dynamic resolve mode should be used for Ivy modules. When enabled, the `revConstraint` attribute for each dependency declaration is used in preference to the `rev` attribute. When disabled (the default), the `rev` attribute is always used.

    - #### public void setDynamicMode(boolean mode)

      Specifies whether dynamic resolve mode should be used for Ivy modules. When enabled, the `revConstraint` attribute for each dependency declaration is used in preference to the `rev` attribute. When disabled (the default), the `rev` attribute is always used.